Bug 45004

Summary: Roll ANGLE under webkit to r402
Product: WebKit Reporter: Zhenyao Mo <zmo>
Component: WebGLAssignee: Zhenyao Mo <zmo>
Status: RESOLVED FIXED    
Severity: Normal CC: cmarrin, enne, eric, kbr, psawaya, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 44309    
Attachments:
Description Flags
patch
kbr: review-, zmo: commit-queue-
revised patch
zmo: commit-queue-
Revised patch
zmo: commit-queue-
revised patch: fix an issue in the changelog kbr: review+, zmo: commit-queue-

Description Zhenyao Mo 2010-08-31 16:27:11 PDT
If we don't sync, Chromium and Safari will have to use different ANGLE interfaces.
Comment 1 Zhenyao Mo 2010-08-31 16:31:11 PDT
Created attachment 66138 [details]
patch

Built webkit successfully with r402.
Comment 2 WebKit Review Bot 2010-08-31 16:33:39 PDT
Attachment 66138 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
Last 3072 characters of output:
ce/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:115:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:118:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:121:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:130:  Declaration has space between type name and * in IDirect3DSurface9 *renderTarget  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:130:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:132:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:135:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:147:  Declaration has space between type name and * in IDirect3DTexture9 *flipTexture  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:147:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:149:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:163:  Declaration has space between type name and * in IDirect3DSurface9 *backBuffer  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:163:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:166:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:167:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:168:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:169:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:170:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:209:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:301:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:303:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:307:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:309:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:317:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:323:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:327:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:341:  Declaration has space between type name and * in IDirect3DTexture9 *flipTexture  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:344:  Declaration has space between type name and * in IDirect3DSurface9 *renderTarget  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:358:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:372:  One space before end of line comments  [whitespace/comments] [5]
Total errors found: 715 in 57 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Eric Seidel (no email) 2010-08-31 16:46:48 PDT
Attachment 66138 [details] did not build on mac:
Build output: http://queues.webkit.org/results/3855201
Comment 4 Zhenyao Mo 2010-08-31 16:56:41 PDT
That's weird, my local Mac built fine with this patch.  Might be some cached data.
Comment 5 Kenneth Russell 2010-08-31 16:58:20 PDT
Comment on attachment 66138 [details]
patch

Unfortunately it looks like you're going to need to modify WebCore.xcodeproj using XCode to fix the missing header reference. Please build WebKit on the Mac before submitting the next patch.
Comment 6 Paul Sawaya 2010-08-31 17:08:00 PDT
(In reply to comment #5)
> (From update of attachment 66138 [details])
> Unfortunately it looks like you're going to need to modify WebCore.xcodeproj using XCode to fix the missing header reference. Please build WebKit on the Mac before submitting the next patch.

I'm not sure, but I don't believe WebCore.xcodeproj references the ANGLE header (ResourceLimits.h) directly. You'll definitely want to update ANGLE/ANGLE.xcodeproj/project.pbxproj, though.
Comment 7 Zhenyao Mo 2010-09-01 10:36:15 PDT
Created attachment 66232 [details]
revised patch
Comment 8 WebKit Review Bot 2010-09-01 10:38:59 PDT
Attachment 66232 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
Last 3072 characters of output:
ce/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:115:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:118:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:121:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:130:  Declaration has space between type name and * in IDirect3DSurface9 *renderTarget  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:130:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:132:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:135:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:147:  Declaration has space between type name and * in IDirect3DTexture9 *flipTexture  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:147:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:149:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:163:  Declaration has space between type name and * in IDirect3DSurface9 *backBuffer  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:163:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:166:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:167:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:168:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:169:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:170:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:209:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:301:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:303:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:307:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:309:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:317:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:323:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:327:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:341:  Declaration has space between type name and * in IDirect3DTexture9 *flipTexture  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:344:  Declaration has space between type name and * in IDirect3DSurface9 *renderTarget  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:358:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:372:  One space before end of line comments  [whitespace/comments] [5]
Total errors found: 597 in 53 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Zhenyao Mo 2010-09-01 10:47:07 PDT
Created attachment 66235 [details]
Revised patch
Comment 10 WebKit Review Bot 2010-09-01 10:49:40 PDT
Attachment 66235 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
Last 3072 characters of output:
ce/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:115:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:118:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:121:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:130:  Declaration has space between type name and * in IDirect3DSurface9 *renderTarget  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:130:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:132:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:135:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:147:  Declaration has space between type name and * in IDirect3DTexture9 *flipTexture  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:147:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:149:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:163:  Declaration has space between type name and * in IDirect3DSurface9 *backBuffer  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:163:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:166:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:167:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:168:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:169:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:170:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:209:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:301:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:303:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:307:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:309:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:317:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:323:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:327:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:341:  Declaration has space between type name and * in IDirect3DTexture9 *flipTexture  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:344:  Declaration has space between type name and * in IDirect3DSurface9 *renderTarget  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:358:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:372:  One space before end of line comments  [whitespace/comments] [5]
Total errors found: 715 in 57 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 Zhenyao Mo 2010-09-01 10:55:54 PDT
Created attachment 66237 [details]
revised patch: fix an issue in the changelog
Comment 12 WebKit Review Bot 2010-09-01 10:58:47 PDT
Attachment 66237 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
Last 3072 characters of output:
ce/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:115:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:118:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:121:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:130:  Declaration has space between type name and * in IDirect3DSurface9 *renderTarget  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:130:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:132:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:135:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:147:  Declaration has space between type name and * in IDirect3DTexture9 *flipTexture  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:147:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:149:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:163:  Declaration has space between type name and * in IDirect3DSurface9 *backBuffer  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:163:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:166:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:167:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:168:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:169:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:170:  More than one command on the same line in if  [whitespace/parens] [4]
ANGLE/src/libEGL/Surface.cpp:209:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:301:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:303:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:307:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:309:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:317:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:323:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:327:  This { should be at the end of the previous line  [whitespace/braces] [4]
ANGLE/src/libEGL/Surface.cpp:341:  Declaration has space between type name and * in IDirect3DTexture9 *flipTexture  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:344:  Declaration has space between type name and * in IDirect3DSurface9 *renderTarget  [whitespace/declaration] [3]
ANGLE/src/libEGL/Surface.cpp:358:  Use 0 instead of NULL.  [readability/null] [5]
ANGLE/src/libEGL/Surface.cpp:372:  One space before end of line comments  [whitespace/comments] [5]
Total errors found: 715 in 57 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 Kenneth Russell 2010-09-02 10:16:14 PDT
Comment on attachment 66237 [details]
revised patch: fix an issue in the changelog

I only went through the ChangeLog, project.pbxproj and GraphicsContext3DMac.mm; these look fine. r=me
Comment 14 Zhenyao Mo 2010-09-02 10:54:41 PDT
Committed r66675: <http://trac.webkit.org/changeset/66675>